<?xml version="1.0"?>
<!DOCTYPE logtalk SYSTEM "logtalk.dtd">
<?xml-stylesheet type="text/xsl" href="lgtxml.xsl"?>
<logtalk>
<entity>
<name><![CDATA[random]]></name>
<type>object</type>
<compilation>static</compilation>
<comment><![CDATA[Random number generator predicates.]]></comment>
<authors><![CDATA[Paulo Moura]]></authors>
<version>1.1</version>
<date>2002/8/7</date>
</entity>
<relations>
<implements>
<name><![CDATA[randomp]]></name>
<scope>public</scope>
<file><![CDATA[randomp]]></file>
</implements>
</relations>
<predicates>
<public>
</public>
<protected>
</protected>
<private>
<predicate>
<name><![CDATA[seed_/3]]></name>
<scope>private</scope>
<compilation>dynamic</compilation>
<mode>
<template><![CDATA[seed_(-integer,-integer,-integer)]]></template>
<solutions>one</solutions>
</mode>
<comment><![CDATA[Stores the current random generator seed values.]]></comment>
<template><![CDATA[seed_(S0,S1,S2)]]></template>
</predicate>
</private>
</predicates>
</logtalk>
